#!/bin/bash

export PATH="/bin:/usr/bin"

#############
# Variables #
#############
UserID='YourPID'		# Your PID
RsyncServer='rrsync.cs.vt.edu'	# The backup server
BackupName=`hostname -s`		# Your backup name (usually the host name)

########Do Not Edit Below This Line############

BackupHome=`dirname $0`
UserDir="${UserID}_${BackupName}"
PassFile="$BackupHome/secret"
Includes="$BackupHome/includes.txt"
Excludes="$BackupHome/excludes.txt"

########
# Main #
########
rsync $1 -r --force --ignore-errors -a --delete --delete-excluded --files-from=${Includes} --exclude-from=${Excludes} --numeric-ids --password-file=${PassFile} / ${UserID}@${RsyncServer}::${UserDir}
